Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.algorithm.stack
Class ProjectiveOracle

    java.lang.Object
      org.maltparser.parser.Oracle
          org.maltparser.parser.algorithm.stack.ProjectiveOracle

All Implemented Interfaces:
  Guide, OracleGuide

    public class ProjectiveOracle

extends Oracle

Author:
  Johan Hall

Field Summary

Fields inherited from class org.maltparser.parser.Oracle
`actionContainers, arcLabelActionContainers, transActionContainer`

Constructor Summary
`ProjectiveOracle(DependencyParserConfig manager, GuideUserHistory history)`

Method Summary
`void` | `finalizeSentence(DependencyStructure dependencyGraph)`
`GuideUserAction` | `predict(DependencyStructure gold, ParserConfiguration configuration)`
`void` | `terminate()`

Methods inherited from class org.maltparser.parser.Oracle
`getConfiguration, getGuideName, getHistory, initActionContainers, setGuideName, setHistory, setManager, updateActionContainers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectiveOracle

    public ProjectiveOracle(DependencyParserConfig manager,
                            GuideUserHistory history)
                     throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### predict

    public GuideUserAction predict(DependencyStructure gold,
                                   ParserConfiguration configuration)
                            throws MaltChainedException

  Throws:
    `MaltChainedException`

### finalizeSentence

    public void finalizeSentence(DependencyStructure dependencyGraph)
                          throws MaltChainedException

  Throws:
    `MaltChainedException`

### terminate

    public void terminate()
                   throws MaltChainedException

  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.